Page MenuHome

~ (altgr +) Key, German Standard Keyboard does not work
Closed, ResolvedPublic

Description

Thanks for the great softwar, Blender!
System Information
Operating system:
Windows 10 home 1803
Graphics card:
NVIDIA GeForce GTX 860M

Blender Version
2.80 (sub 44), branch: blender2.7, commit date: 2019-02-08 22:09, hash: 191b8951f7af, type: Release
build date: 08/02/2019, 17:56
Broken:

Exact steps for others to reproduce the error
It is quite easy.
Just take an German Keyboard and try to produce a ~ via Key altgr + in order to produce a ~
(3D views Pie Menu in Blender Layout Workspace )
Thanks

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

I'm unsure what the problem is here.
I don't think there is anything bound to tilde in the default keymap.

Have you bound it to a custom keybind?

Thanks Sebastian for your fast response.

I am using only the default setup.
Setup Keymap

Are you able to produce the (3D views Pie Menu in Blender Layout Workspace ) via an German Keyboard ?
Or is this not possible ?
Maybe I do something wrong ?
Stefan

Hotkey for the Pie Menu is grave accent ( ` ), on the English keyboard it along with tilde ( ~ ).
So just this Hotkey is incorrect called tilde, for simplicity.

I have a swedish keyboard, but they should have the same problem.

What I mean is that there doesn't seem to be any default keybind that uses ~.

You can see and search for keybinds in user preferences:

@Yevgeny Makarov (jenkm) I'm guessing that none of the keybinds that require altgr works right?
At least that is what is seems like when I try on my end.

Thanks,
I could use Tab for Pie menu .... :(
I had fond a workaround by using the English Keyboard (Windows) and pressing the key where the "~"
or better grave accent ( ` ) is.
But I think this is not much compfor.

altgr + produces a perfect ~ and not a grave accent ( ` ) what we need ;)

Can't you just rebind the key to ^ instead? (I'm guessing that is the default key for where ~/` is on the US ANSI keyboard layout)

I've rebinded it to (^) and you see a (\) and you can open the pie :)
OK ...
I guess there are some keymap translations involvet
Thanks.

Sebastian Parborg (zeddb) closed this task as Resolved.Feb 9 2019, 8:22 PM
Sebastian Parborg (zeddb) claimed this task.